List transfers for org
Retrieve a list of transfers for an org. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
Query parameters
Max number of records to return for the query. Use 0 or negative value to return all records.
Collection of field names, conditions, and values used to filter the query. See Filters and Conditions Reference for more information.
You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.
Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.
For example:
should become:
—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
Accepted field names:
transferDate(gt, ge, lt, le, eq, ne)grossAmount(gt, ge, lt, le, eq, ne)chargeBackAmount(gt, ge, lt, le, eq, ne)returnedAmount(gt, ge, lt, le, eq, ne)billingFeeAmount(gt, ge, lt, le, eq, ne)thirdPartyPaidAmount(gt, ge, lt, le, eq, ne)netFundedAmount(gt, ge, lt, le, eq, ne)adjustmentAmount(gt, ge, lt, le, eq, ne)processor(ne, eq, ct, nct)transferStatus(ne, eq, in, nin)batchNumber(ne, eq, ct, nct)batchId(ne, eq, in, nin)transferId(in, nin, eq, ne)bankAccountNumber(ct, nct, ne, eq)bankRoutingNumber(ct, nct, ne, eq)batchCurrency(in, nin, ne, eq)
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.